@import url("https://fonts.googleapis.com/css2?family=Golos+Text:wght@400..900&display=swap");
* {
  padding: 0;
  margin: 0;
  border: 0;
  cursor: default;
}

*,
*:before,
*:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:active {
  outline: none;
}

a:active {
  outline: none;
}

nav,
footer,
header,
aside {
  display: block;
}

input,
button,
textarea {
  font-family: inherit;
}

input::-ms-clear {
  display: none;
}

button,
a {
  color: inherit;
  font-weight: inherit;
  cursor: pointer;
  font-size: inherit;
  background: none;
}

button::-moz-focus-inner {
  padding: 0;
  border: 0;
}

a,
a:visited {
  text-decoration: none;
  width: fit-content;
  height: fit-content;
}

a:hover {
  text-decoration: none;
}

ul li {
  list-style: none;
}

img {
  vertical-align: top;
}

.swiper-wrapper {
  -webkit-transition-timing-function: linear !important;
  -o-transition-timing-function: linear !important;
  transition-timing-function: linear !important;
}

body {
  position: relative;
  font-family: "Golos Text", sans-serif;
  font-size: 16px;
  line-height: 150%;
  text-wrap: balance;
  color: #FFFFFF;
  background-color: #001824;
  width: 100%;
  min-height: 100vh;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.header {
  position: absolute;
  top: 0;
  z-index: 3;
  width: 100%;
  padding: 1.5rem 0;
  transition-duration: 0.5s;
}
.header__container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 2rem;
  display: flex;
  justify-content: space-between;
}
.header__logo {
  cursor: pointer;
}
.header__nav {
  display: flex;
  gap: 1rem;
}
.header__nav-item {
  position: relative;
  transition-duration: 0.5s;
}
.header__nav-item::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0.3125rem;
  height: 0.3125rem;
  background-color: #fff;
  border-radius: 50%;
  translate: 0 1rem;
  visibility: hidden;
  animation-timing-function: ease;
}
.header__nav-item:hover::before {
  translate: 0 0.5rem;
  visibility: visible;
  transition-duration: 0.2s;
}
.header__nav-item:hover {
  translate: 0 -0.3rem;
}
.header__nav-item[data-force-hover] {
  translate: 0 -0.3rem;
  font-weight: 550;
  pointer-events: none;
}
.header__nav-item[data-force-hover]::before {
  translate: 0 0.5rem;
  visibility: visible;
  transition-duration: 0.2s;
}
.header__tel {
  position: relative;
  transition-duration: 0.5s;
}
.header__tel::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0.3125rem;
  height: 0.3125rem;
  background-color: #fff;
  border-radius: 50%;
  translate: 0 1rem;
  visibility: hidden;
  animation-timing-function: ease;
}
.header__tel:hover::before {
  translate: 0 0.5rem;
  visibility: visible;
  transition-duration: 0.2s;
}
.header__tel:hover {
  translate: 0 -0.3rem;
}

/* поиск в хедере */

.header .search__button {
    display: flex;
    height: 30px;
    width: 30px;
    /* background-color: rgba(255, 255, 255, 0.5); */
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    color: #ffffff;
}

.header.sticky .search__button {
    background-color: rgba(255, 255, 255, 0.3);
    color: #ffffff;
}

.header__search-wrap {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 5;
    display: flex;
    align-items: center;
    gap: 213px;
    padding: 0px 330px 0px 285px;
    background-color: #ffffff;
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top;
    overflow: hidden;
    pointer-events: none;
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
    height: 208px;
}

.header__search-wrap.open {
    opacity: 1;
    transform: scaleY(1);
    pointer-events: auto;
}

.header__search-form {
    flex: 1;
    display: flex;
    align-items: center;
    gap: 12px;
}

.header__search-input {
    flex: 1;
    border: none;
    outline: none;
    background: transparent;
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    color: #001824;
    border-bottom: 1px solid rgba(0, 24, 36, 0.7);
    padding-bottom: 8px;
    transition: border-color 0.3s;
    cursor: text;
}

.header__search-input::placeholder {
    color: #001824;
}

.header__search-close {
    position: absolute;
    top: 23px;
    right: 67px;
    cursor: pointer;
}

.header__search-close img,
.header__search-submit img,
.search__button svg {
    cursor: pointer;
}

.header__search-submit {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
}

@media(max-width: 1200px) {
    .header__search-wrap {
        padding: 18px 16px 14px 16px;
        height: 70px;
    }

    .header__search-form,
    .header__search-close {
        opacity: 0.4;
    }

    .header__search-close {
        top: 24px;
        right: 36px;
    }

    .header .search__button {
        margin-left: auto;
        margin-right: 20px;
        background-color: transparent;
    }

    .header__connection .header .search__button {
        display: flex !important;
    }

    .header .search__button {
        color: #ffffff;
    }

    .header .search__button svg {
        width: 34px;
        height: 34px;
    }

    .header.sticky .search__button {
        background-color: transparent;
        color: #ffffff;
    }

    .header__connection {
        display: flex;
        justify-content: flex-end;
        margin-left: auto;
    }

    .header__connection .header__tel,
    .header__connection .header__button {
        display: none;
    }
}

/* поиск в хедере */

.header__connection {
  display: flex;
  align-items: center;
  gap: 2rem;
  height: fit-content;
}
.header__button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  position: relative;
  overflow: hidden;
  z-index: 0;
  border-radius: 2rem;
  padding: 0.75rem 2rem;
  border: 0.0625rem solid #FFFFFF;
  background: none;
  color: #FFFFFF;
  transition-duration: 0.5s;
}
.header__button i {
  pointer-events: none;
}
.header__button::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 70%;
  width: 1rem;
  height: 1rem;
  scale: 0;
  border-radius: 50%;
  background: #FFFFFF;
  transition-duration: 0.6s;
  animation-timing-function: ease-out;
}
.header__button:hover::before, .header__button:focus::before {
  scale: 56;
  background: #FFFFFF;
}
.header__button:hover, .header__button:focus {
  color: #000;
  background: none;
  border-color: none;
}

.header.sticky {
  position: fixed;
  background-color: #F7624C;
  padding: 0.75rem 0;
}
.header.sticky > .header__container {
  align-items: center;
}

.burger {
  display: none;
  position: relative;
}
.burger__icon {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  width: 2rem;
  height: 1.5rem;
  position: relative;
  z-index: 1;
}
.burger__icon.active span {
  width: 0;
}
.burger__icon.active span::before {
  rotate: -45deg;
  top: 50%;
}
.burger__icon.active span::after {
  rotate: 45deg;
  top: 50%;
}
.burger__icon span {
  background-color: #FFFFFF;
  transition-duration: 0.5s;
  height: 0.1875rem;
  width: 80%;
  border-radius: 2rem;
  overflow: hidden;
  pointer-events: none;
}
.burger__icon span::before, .burger__icon span::after {
  content: "";
  position: absolute;
  right: 0;
  height: 0.1875rem;
  width: 100%;
  background-color: #FFFFFF;
  border-radius: 2rem;
  transition-duration: 0.5s;
  overflow: hidden;
  pointer-events: none;
}
.burger__icon span::before {
  top: 0;
}
.burger__icon span::after {
  bottom: 0;
}
.burger__wrapper {
  position: absolute;
  z-index: 0;
  top: -2rem;
  right: -2rem;
  background-color: #F7624C;
  transition-duration: 0.5s;
  width: max-content;
  border-radius: 0 0 2rem 2rem;
  padding: 2rem;
  padding-top: 6rem;
  translate: 0 -30rem;
  opacity: 0;
}
.burger__wrapper.active {
  translate: 0 0;
  opacity: 1;
}
.burger__nav {
  display: flex;
  flex-direction: column;
  gap: 1.25rem;
}
.burger__nav-item {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 0.5rem;
  text-transform: uppercase;
  font-weight: 550;
}
.burger__nav-item::after {
  content: "";
  background-color: #FFFFFF;
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
}
.burger__button {
  margin-top: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  position: relative;
  overflow: hidden;
  z-index: 0;
  border-radius: 2rem;
  padding: 0.75rem 2rem;
  border: 0.0625rem solid #FFFFFF;
  background: none;
  color: #FFFFFF;
  transition-duration: 0.5s;
}
.burger__button i {
  pointer-events: none;
}
.burger__button::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 70%;
  width: 1rem;
  height: 1rem;
  scale: 0;
  border-radius: 50%;
  background: #FFFFFF;
  transition-duration: 0.6s;
  animation-timing-function: ease-out;
}
.burger__button:hover::before, .burger__button:focus::before {
  scale: 56;
  background: #FFFFFF;
}
.burger__button:hover, .burger__button:focus {
  color: #000000;
  background: none;
  border-color: #FFFFFF;
}

@media (max-width: 960px) {
  .burger {
    display: block;
  }
  .header__container {
    align-items: center;
  }
  .header__nav {
    display: none;
  }
}
.footer {
  color: #ADE5E4;
  font-size: 0.75rem;
}
.footer__container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 2rem;
}
.footer__links {
  display: flex;
  justify-content: space-between;
  gap: 2rem;
  padding: 4rem 0;
}
.footer__socials-title {
  color: #1C5564;
  font-weight: 550;
  margin-bottom: 0.5rem;
}
.footer__socials-wrapper {
  display: flex;
  gap: 0.5rem;
}
.footer__socials-icon {
  cursor: pointer;
  font-size: 1rem;
  width: 2rem;
  height: 2rem;
  overflow: hidden;
}
.footer__socials-icon--zen {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: scale 0.5s;
  will-change: scale;
  border-radius: 50%;
}
.footer__socials-icon--zen:hover {
  font-size: 1.5rem;
  color: #FFFFFF;
  background-color: #2c3036;
  scale: 1.1;
}
.footer__socials-icon--telegram {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: scale 0.5s;
  will-change: scale;
  border-radius: 50%;
}
.footer__socials-icon--telegram:hover {
  background-color: #229ed9;
  scale: 1.1;
}
.footer__socials-icon--youtube {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: scale 0.5s;
  will-change: scale;
  border-radius: 50%;
}
.footer__socials-icon--youtube:hover {
  font-size: 0.75rem;
  background-color: #ff0000;
  scale: 1.1;
}
.footer__socials-icon--vk {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.75rem;
  transition: scale 0.5s;
  will-change: scale;
  border-radius: 50%;
}
.footer__socials-icon--vk:hover {
  background-color: #0e7cff;
  scale: 1.1;
}
.footer__socials-icon--instagram {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: scale 0.5s;
  will-change: scale;
  border-radius: 50%;
}
.footer__socials-icon--instagram:hover {
  background: linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
  scale: 1.1;
}
.footer__nav {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.footer__nav-item {
  cursor: pointer;
  position: relative;
  transition-duration: 0.5s;
  text-wrap: nowrap;
}
.footer__nav-item::before {
  content: "";
  position: absolute;
  top: 30%;
  left: 0;
  width: 0.6rem;
  height: 0.6rem;
  background-color: #F7624C;
  border-radius: 50%;
  scale: 0;
  transition-duration: 0.5s;
}
.footer__nav-item:hover {
  color: #FFFFFF;
  opacity: 1;
  translate: 1rem 0;
}
.footer__nav-item:hover::before {
  scale: 1;
  translate: -1rem 0;
}
.footer__location {
  font-weight: 550;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.footer__location-linksbox {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.footer__location-title {
  color: #1C5564;
}
.footer__location-item {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}
.footer__location-item:hover i::before {
  color: #F7624C;
}
.footer__worktime-wrapper {
  display: flex;
  flex-direction: column;
  gap: 2rem 0;
}
.footer__worktime {
  color: #1C5564;
  font-weight: 550;
}
.footer__button {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1rem;
  rotate: 90deg;
  width: 2rem;
  height: 2rem;
  border-radius: 50%;
  padding: 0.5rem;
  border: 0.125rem solid #1C5564;
  transition-duration: 0.5s;
  will-change: border;
}
.footer__button:hover {
  background-color: #F7624C;
  border: none;
  scale: 1.3;
}
.footer__button::before {
  color: #FFFFFF;
}
.footer__docs {
  color: #1C5564;
  font-weight: 550;
  height: 1.5rem;
  margin-bottom: 2rem;
  overflow: visible;
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
}
.footer__docs-link {
  text-align: left;
}
.footer__badge {
  background-color: black;
  color: #3D3C3C;
  font-size: 1rem;
  font-weight: 550;
  letter-spacing: 0;
  padding: 0.8rem 0;
  border-radius: 6vw 6vw 0 0;
}
.footer__badge-container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 2rem;
  display: flex;
  align-items: flex-end;
  gap: 1rem;
}
.footer__badge-logo {
  cursor: pointer;
}

@media (max-width: 1100px) {
  .footer__socials-wrapper {
    flex-wrap: wrap;
  }
}
@media (max-width: 860px) {
  .footer__nav {
    display: none;
  }
}
@media (max-width: 730px) {
  .footer__docs {
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
    height: fit-content;
  }
  .footer__logo {
    display: none;
  }
}
@media (max-width: 620px) {
  .footer__links {
    flex-direction: column-reverse;
  }
  .footer__button {
    align-self: flex-end;
  }
}
@media (max-width: 390px) {
  .footer__badge-container {
    flex-direction: column;
    align-items: flex-start;
  }
}
.modal-privacy {
  position: absolute;
  z-index: 4;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  max-width: 40rem;
  max-height: 90vh;
  overflow-y: auto;
  padding: 2rem;
  font-size: 1.125rem;
  font-weight: 550;
  color: #ADE5E4;
  background-color: #1C5564;
}
.modal-privacy::backdrop {
  background-color: rgba(0, 0, 0, 0.9);
}
.modal-privacy__container {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.modal-privacy__closeBtn {
  cursor: pointer;
  position: absolute;
  top: 0;
  right: 0;
  font-size: 1.5rem;
  transition-duration: 0.5s;
}
.modal-privacy__closeBtn:hover {
  rotate: 90deg;
}
.modal-privacy__title {
  font-size: 2.5rem;
  line-height: 2.5rem;
}
.modal-privacy__update-time, .modal-privacy time {
  text-align: right;
  font-weight: normal;
  opacity: 0.2;
}
.modal-privacy__subtitle {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.modal-privacy__body, .modal-privacy ul, .modal-privacy ol {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  counter-reset: item-counter;
}
.modal-privacy__item h2, .modal-privacy li h2 {
  margin-bottom: 0.5rem;
}

.block-scroll {
  overflow-y: hidden;
}

@media (max-width: 580px) {
  .modal-privacy__title {
    font-size: 1.75rem;
    line-height: 2rem;
  }
}
.modal-form {
  position: absolute;
  z-index: 3;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  max-width: 35rem;
  max-height: 90vh;
  overflow-y: auto;
  padding: 2rem;
  color: inherit;
  text-wrap: wrap;
  background-color: #F7624C;
}
.modal-form::backdrop {
  background-color: rgba(0, 0, 0, 0.9);
}
.modal-form__container {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 4rem;
}
.modal-form__closeBtn {
  cursor: pointer;
  position: absolute;
  top: 0;
  right: 0;
  font-size: 1.5rem;
  transition-duration: 0.5s;
}
.modal-form__closeBtn:hover {
  rotate: 90deg;
}
.modal-form__titlebox {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}
.modal-form__inputbox {
  position: relative;
}
.modal-form__error {
  position: absolute;
  font-size: 12px;
  color: red;
  bottom: 0;
  right: 16px;
  translate: 0 100%;
}
.modal-form__error--white {
  translate: 0;
  color: white;
}
.modal-form__title {
  font-size: 2.5rem;
  line-height: 2.5rem;
  font-weight: 550;
}
.modal-form__subtitle {
  font-size: 1.5rem;
}
.modal-form__form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.modal-form__input {
  cursor: text;
  font-size: 1.5rem;
  width: 100%;
  padding: 1rem 2rem;
  color: #FFFFFF;
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 2rem;
}
.modal-form__input::placeholder {
  color: rgba(255, 255, 255, 0.5);
}
.modal-form__input:hover, .modal-form__input:focus {
  background: none;
  outline: 0.09375rem solid #FFFFFF;
}
.modal-form__input--custom {
  resize: none;
  width: 100%;
  height: 10rem;
}
.modal-form__input--checkbox {
  position: relative;
  text-wrap: wrap;
  display: flex;
  align-items: flex-start;
  gap: 1rem;
  padding-left: 2rem;
}
.modal-form__input--checkbox input {
  cursor: pointer;
  position: absolute;
  left: 0;
  top: 0.25rem;
  width: 1.5rem;
  height: 1.5rem;
  opacity: 0;
}
.modal-form__input--checkbox::before {
  content: "";
  pointer-events: none;
  position: absolute;
  left: 0;
  top: 0.25rem;
  width: 1.25rem;
  height: 1.25rem;
  border: 0.125rem solid #FFFFFF;
  border-radius: 50%;
}
.modal-form__input--checkbox:has(input:hover)::before {
  background-color: #FFFFFF;
}
.modal-form__input--checkbox:has(input:checked)::before {
  border-width: 0.25rem;
  background-color: #1C5564;
}
.modal-form__input--agreement {
  text-wrap: wrap;
  font-size: 0.875rem;
}
.modal-form__input--agreement-link {
  cursor: pointer;
  color: #FFFFFF;
  text-decoration: underline;
}
.modal-form__button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  position: relative;
  overflow: hidden;
  z-index: 0;
  border-radius: 2rem;
  padding: 0.75rem 2rem;
  border: 0.0625rem solid none;
  background: #FFFFFF;
  color: #001824;
  transition-duration: 0.5s;
  font-size: 1.25rem;
}
.modal-form__button i {
  pointer-events: none;
}
.modal-form__button::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 70%;
  width: 1rem;
  height: 1rem;
  scale: 0;
  border-radius: 50%;
  background: #F7624C;
  transition-duration: 0.6s;
  animation-timing-function: ease-out;
}
.modal-form__button:hover::before, .modal-form__button:focus::before {
  scale: 56;
  background: #F7624C;
}
.modal-form__button:hover, .modal-form__button:focus {
  color: #FFFFFF;
  background: #FFFFFF;
  border-color: none;
}
.modal-form__footer {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.modal-form__hint-link {
  font-weight: 550;
  text-decoration: underline;
}
.modal-form__linksbox {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.modal-form__socials {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.modal-form__socials-icon {
  width: 2rem;
  aspect-ratio: 1/1;
}
.modal-form__socials-icon--tg {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: scale 0.5s;
  will-change: scale;
  border-radius: 50%;
}
.modal-form__socials-icon--tg:hover {
  background-color: #229ed9;
  scale: 1.1;
}
.modal-form__socials-icon--vk {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.75rem;
  transition: scale 0.5s;
  will-change: scale;
  border-radius: 50%;
}
.modal-form__socials-icon--vk:hover {
  background-color: #0e7cff;
  scale: 1.1;
}
.modal-form__socials-icon--insta {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: scale 0.5s;
  will-change: scale;
  border-radius: 50%;
}
.modal-form__socials-icon--insta:hover {
  background: linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
  scale: 1.1;
}
.modal-form__email {
  font-size: 1.125rem;
  font-weight: 550;
  text-decoration: underline;
}

.main {
  min-height: 100vh;
  padding: 10rem 0 4rem 0;
  background-color: #1C5564;
  overflow: hidden;
  border-radius: 0 0 4rem 4rem;
}

.progress {
  position: relative;
  z-index: 1;
}
.progress__container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 2rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.progress__exit-button {
  font-size: 1.5rem;
  opacity: 0.5;
  align-self: flex-end;
  transition-duration: 0.5s;
}
.progress__exit-button:hover {
  rotate: 90deg;
}
.progress__progressbar {
  height: 1rem;
  border-radius: 2rem;
  overflow: hidden;
  background-color: rgba(0, 24, 36, 0.25);
}
.progress__progressbar-inner {
  height: 100%;
  width: var(--progress, 5%);
  border-radius: 2rem;
  background-color: #ADE5E4;
  transition: width 0.4s ease-in-out 0s;
}
.progress__score {
  font-size: 1.5rem;
  color: #ADE5E4;
}

.quastion {
  position: relative;
  z-index: 0;
  overflow: hidden;
}
.quastion:not(.active) {
  position: absolute;
  pointer-events: none;
  opacity: 0;
  left: 0;
  top: 0;
}
.quastion__substract {
  font-family: monospace;
  position: absolute;
  z-index: -1;
  top: 50%;
  left: -15%;
  pointer-events: none;
  text-transform: uppercase;
  font-size: 60rem;
  font-weight: 550;
  opacity: 0.03;
  rotate: -17deg;
}
.quastion__container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 2rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
  margin-top: 4rem;
}
.quastion__titlebox {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.quastion__title {
  font-size: 2.5rem;
  line-height: 2.5rem;
  font-weight: 550;
}
.quastion__title-accent {
  color: #ADE5E4;
}
.quastion__button-prev {
  width: fit-content;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  color: #ADE5E4;
  font-size: 1.5rem;
}
.quastion__button-prev:hover {
  color: #FFFFFF;
}
.quastion__form-titlebox {
  display: flex;
  justify-content: space-between;
}
.quastion__form-counter {
  color: #ADE5E4;
}
.quastion__form-body {
  margin-top: 2rem;
  display: flex;
  flex-direction: column;
}
.quastion__form-inputbox {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.quastion__form-input {
  position: relative;
  z-index: 0;
  display: flex;
  align-items: center;
  overflow: hidden;
  padding: 1rem 2rem;
  width: 100%;
  height: 4rem;
  border: 0.09375rem solid #ADE5E4;
  border-radius: 2rem;
  font-size: 1.5rem;
}
.quastion__form-input::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 50%;
  width: 1rem;
  height: 1rem;
  scale: 0;
  border-radius: 50%;
  background-color: #F7624C;
  transition-duration: 0.5s;
  animation-timing-function: ease-out;
}
.quastion__form-input:hover::before {
  scale: 56;
  background: #F7624C;
}
.quastion__form-input input:checked {
  background-color: #F7624C;
}
.quastion__form-input:hover {
  border-color: #F7624C;
}
.quastion__form-input:has(input:focus), .quastion__form-input:has(input:checked) {
  background-color: #F0AC87;
  color: #F7624C;
  border: none;
}
.quastion__form-input:has(input:focus)::before, .quastion__form-input:has(input:checked)::before {
  display: none;
}
.quastion__form-input-text {
  pointer-events: none;
  position: absolute;
}
.quastion__form-input input {
  cursor: pointer;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
}
.quastion__form-input--custom-answer {
  cursor: text;
  resize: none;
  width: 100%;
  height: 8rem;
  padding: 1rem 2rem;
  font-size: 1.5rem;
  border-radius: 2rem;
  color: inherit;
  background-color: rgba(255, 255, 255, 0.1);
}
.quastion__form-input--custom-answer::placeholder {
  color: rgba(255, 255, 255, 0.5);
}
.quastion__form-input--custom-answer:hover, .quastion__form-input--custom-answer:focus {
  background-color: #1C5564;
  outline: 0.09375rem solid #ADE5E4;
}
.quastion__form-input--info {
  cursor: text;
  padding: 1rem 2rem;
  width: 100%;
  height: 4rem;
  color: inherit;
  border-radius: 2rem;
  font-size: 1.5rem;
  background-color: rgba(255, 255, 255, 0.1);
}
.quastion__form-input--info::placeholder {
  color: rgba(255, 255, 255, 0.5);
}
.quastion__form-input--info:hover, .quastion__form-input--info:focus {
  background-color: #1C5564;
  outline: 0.09375rem solid #ADE5E4;
}
.quastion__form-input--info-checkbox {
  position: relative;
  text-wrap: wrap;
  display: flex;
  align-items: flex-start;
  gap: 1rem;
  margin-top: 1.5rem;
}
.quastion__form-input--info-checkbox input {
  cursor: pointer;
  width: 1.25rem;
  height: 1.25rem;
  opacity: 0;
}
.quastion__form-input--info-checkbox::before {
  content: "";
  pointer-events: none;
  position: absolute;
  width: 1.25rem;
  height: 1.25rem;
  border: 0.125rem solid #ADE5E4;
  border-radius: 50%;
}
.quastion__form-input--info-checkbox:has(input:focus)::before, .quastion__form-input--info-checkbox:has(input:hover)::before {
  background-color: #ADE5E4;
}
.quastion__form-input--info-checkbox:has(input:checked)::before {
  background-color: #F7624C;
}
.quastion__form-button-next {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  position: relative;
  overflow: hidden;
  z-index: 0;
  border-radius: 2rem;
  padding: 0.75rem 2rem;
  border: 0.0625rem solid #FFFFFF;
  background: none;
  color: #FFFFFF;
  transition-duration: 0.5s;
  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  gap: 0.25rem;
  margin-top: 2rem;
  align-self: flex-end;
}
.quastion__form-button-next i {
  pointer-events: none;
}
.quastion__form-button-next::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 70%;
  width: 1rem;
  height: 1rem;
  scale: 0;
  border-radius: 50%;
  background: #F7624C;
  transition-duration: 0.6s;
  animation-timing-function: ease-out;
}
.quastion__form-button-next:hover::before, .quastion__form-button-next:focus::before {
  scale: 56;
  background: #F7624C;
}
.quastion__form-button-next:hover, .quastion__form-button-next:focus {
  color: #FFFFFF;
  background: none;
  border-color: #F7624C;
}
.quastion__form-button-submit {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  position: relative;
  overflow: hidden;
  z-index: 0;
  border-radius: 2rem;
  padding: 0.75rem 2rem;
  border: 0.0625rem solid #ADE5E4;
  background: #ADE5E4;
  color: #1C5564;
  transition-duration: 0.5s;
  font-size: 1.5rem;
  margin-top: 2rem;
}
.quastion__form-button-submit i {
  pointer-events: none;
}
.quastion__form-button-submit::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 70%;
  width: 1rem;
  height: 1rem;
  scale: 0;
  border-radius: 50%;
  background: #F7624C;
  transition-duration: 0.6s;
  animation-timing-function: ease-out;
}
.quastion__form-button-submit:hover::before, .quastion__form-button-submit:focus::before {
  scale: 56;
  background: #F7624C;
}
.quastion__form-button-submit:hover, .quastion__form-button-submit:focus {
  color: #FFFFFF;
  background: #ADE5E4;
  border-color: #F7624C;
}
.quastion__form-button-submit::before {
  left: 50%;
}
.quastion__form-privacy-policy {
  font-size: 0.75rem;
  color: #ADE5E4;
  text-align: center;
  margin-top: 0.5rem;
}
.quastion__form-privacy-policy-link {
  color: #FFFFFF;
}
.quastion__form-privacy-policy-link:hover {
  text-decoration: underline;
}

@media (max-width: 960px) {
  .quastion__container {
    grid-template-columns: 1fr;
  }
}
@media (max-width: 540px) {
  .quastion__title {
    font-size: 1.75rem;
    line-height: 2rem;
  }
  .quastion__form-input {
    font-size: 1.125rem;
  }
  .quastion__form-input--custom-answer {
    font-size: 1.125rem;
  }
  .quastion__form-input--info {
    font-size: 1.125rem;
  }
  .quastion__button-prev {
    font-size: 1rem;
  }
  .quastion__form-button-submit {
    font-size: 1.25rem;
  }
}

.container.breadcrumbs {
  position: absolute;
  top: 139px;
  z-index: 2;
  max-width: 1440px; 
  margin: 0 auto; 
  padding: 0 2rem;
}

.container.breadcrumbs ol {
  display: flex;
  align-items: center;
  list-style: none;
  margin: 0;
  padding: 0;
}

.container.breadcrumbs li {
  font-weight: 400;
  font-size: 13px;
  line-height: 120%;
  letter-spacing: 0;
  color: #FFFFFF;
}

.container.breadcrumbs a {
  color: #FFFFFF;
  text-decoration: none;
}

.breadcrumb-separator {
  margin: 0 6px;
  color: #FFFFFF;
  font-size: 13px;
}